<!doctype html>
<html>
  <head>
    <title>ts-tree demo</title>

    <meta name="viewport" content="width=device-width, minimum-scale=1.0, initial-scale=1, user-scalable=yes">
    <meta name="mobile-web-app-capable" content="yes">
    <meta name="apple-mobile-web-app-capable" content="yes">

    <script>window.Polymer = window.Polymer || {};window.Polymer.dom = 'shadow';</script>
    <script src="/extern/bower_components/webcomponentsjs/webcomponents-lite.js"></script>

    <link rel="import" href="../ts-tree.html">
  </head>
  <body unresolved>
    <!-- <ts-tree></ts-tree> -->
    <script>
      var el = document.createElement('ts-tree');
      var tree = [{
        name: "one",
        tree: [
          {
            name: "one.one"
          },
          {
            name: "one.two",
            tree: [
              {
                name: "one.two.one",
                tree: [
                  {
                    name: "one.two.one.one"
                  },
                  {
                    name: "one.two.one.two"
                  }
                ]
              },
              {
                name: "one.two.two"
              }
            ]
          },
          {
            name: "one.three",
            tree: [
              {
                name: "one.three.one",
                tree: [
                  {
                    name: "one.three.one.one"
                  },
                  {
                    name: "one.three.one.two"
                  }
                ]
              },
              {
                name: "one.three.two"
              }
            ]
          },
          {
            name: "one.four"
          }
        ]
      }];
      el.set('tree', tree);
      document.body.appendChild(el);
    </script>
  </body>
</html>
